Package org.eclipse.ui.ide.dialogs

## Class PathVariableSelectionDialog

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.eclipse.jface.dialogs.TrayDialog
      - - org.eclipse.ui.dialogs.SelectionDialog
        - - org.eclipse.ui.ide.dialogs.PathVariableSelectionDialog

All Implemented Interfaces:
  `IShellProvider`

    public final class PathVariableSelectionDialog
    extends SelectionDialog

A selection dialog which shows the path variables defined in the workspace. The `getResult` method returns the name(s) of the selected path variable(s).

This class may be instantiated; it is not intended to be subclassed.

Example:

     PathVariableSelectionDialog dialog = new PathVariableSelectionDialog(getShell(), IResource.FOLDER);
     dialog.open();
     String[] result = (String[]) dialog.getResult();

Since:
  3.1

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

`Window.IExceptionHandler`

### Field Summary

### Fields inherited from class org.eclipse.jface.dialogs.Dialog

`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

### Fields inherited from class org.eclipse.jface.window.Window

`CANCEL, OK, resizeHasOccurred`

### Constructor Summary

Constructors
`PathVariableSelectionDialog​(Shell parentShell, int variableType)` Creates a path variable selection dialog.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `buttonPressed​(int buttonId)` Notifies that this dialog's button with the given id has been pressed.
`boolean` `close()` Closes this window, disposes its shell, and removes this window from its window manager (if it has one).
`protected void` `configureShell​(Shell shell)` Configures the given shell in preparation for opening this window in it.
`protected void` `createButtonsForButtonBar​(Composite parent)` Adds buttons to this dialog's button bar.
`protected Control` `createDialogArea​(Composite parent)` Creates and returns the contents of the upper part of this dialog (above the button bar).
`protected void` `okPressed()` Notifies that the ok button of this dialog has been pressed.
`void` `setResource​(IResource resource)` Sets the resource for which the path variable is being edited.

### Methods inherited from class org.eclipse.ui.dialogs.SelectionDialog

`createMessageArea, getDialogBoundsSettings, getDialogBoundsStrategy, getInitialElementSelections, getInitialSelections, getMessage, getOkButton, getResult, isResizable, setDialogBoundsSettings, setInitialElementSelections, setInitialSelections, setMessage, setResult, setSelectionResult, setTitle`

### Methods inherited from class org.eclipse.jface.dialogs.TrayDialog

`closeTray, createButtonBar, createHelpControl, getLayout, getTray, handleShellCloseEvent, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

### Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, cancelPressed, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

### Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PathVariableSelectionDialog

    public PathVariableSelectionDialog​(Shell parentShell,
                                       int variableType)

Creates a path variable selection dialog.

Parameters:
  `parentShell` - the parent shell
  `variableType` - the type of variables that are displayed in this dialog. `IResource.FILE` and/or `IResource.FOLDER` logically ORed together.

### Method Detail

#### buttonPressed

    protected void buttonPressed​(int buttonId)

Description copied from class: `Dialog`
Notifies that this dialog's button with the given id has been pressed.

The `Dialog` implementation of this framework method calls `okPressed` if the ok button is the pressed, and `cancelPressed` if the cancel button is the pressed. All other button presses are ignored. Subclasses may override to handle other buttons, but should call `super.buttonPressed` if the default handling of the ok and cancel buttons is desired.

Overrides:
  `buttonPressed` in class `Dialog`
Parameters:
  `buttonId` - the id of the button that was pressed (see `IDialogConstants.*_ID` constants)

#### configureShell

    protected void configureShell​(Shell shell)

Description copied from class: `Window`
Configures the given shell in preparation for opening this window in it.

The default implementation of this framework method sets the shell's image and gives it a grid layout. Subclasses may extend or reimplement.

Overrides:
  `configureShell` in class `SelectionDialog`
Parameters:
  `shell` - the shell

#### createButtonsForButtonBar

    protected void createButtonsForButtonBar​(Composite parent)

Description copied from class: `Dialog`
Adds buttons to this dialog's button bar.

The `Dialog` implementation of this framework method adds standard ok and cancel buttons using the `createButton` framework method. These standard buttons will be accessible from `getCancelButton`, and `getOKButton`. Subclasses may override.

Note: The common button order is: {other buttons}, OK, Cancel. On some platforms, `Dialog.initializeBounds()` will move the default button to the right.

Overrides:
  `createButtonsForButtonBar` in class `SelectionDialog`
Parameters:
  `parent` - the button bar composite

#### createDialogArea

    protected Control createDialogArea​(Composite parent)

Description copied from class: `Dialog`
Creates and returns the contents of the upper part of this dialog (above the button bar).

The `Dialog` implementation of this framework method creates and returns a new `Composite` with standard margins and spacing.

The returned control's layout data must be an instance of `GridData`. This method must not modify the parent's layout.

Subclasses must override this method but may call `super` as in the following example:

     Composite composite = (Composite) super.createDialogArea(parent);
     //add controls to composite as necessary
     return composite;

Overrides:
  `createDialogArea` in class `Dialog`
Parameters:
  `parent` - the parent composite to contain the dialog area
Returns:
  the dialog area control

#### close

    public boolean close()

Description copied from class: `Window`
Closes this window, disposes its shell, and removes this window from its window manager (if it has one).

This framework method may be extended (`super.close` must be called).

Note that in order to prevent recursive calls to this method it does not call `Shell#close()`. As a result `ShellListener`s will not receive a `shellClosed` event.

Overrides:
  `close` in class `Dialog`
Returns:
  `true` if the window is (or was already) closed, and `false` if it is still open
See Also:
  `Window.close()`

#### okPressed

    protected void okPressed()

Description copied from class: `Dialog`
Notifies that the ok button of this dialog has been pressed.

The `Dialog` implementation of this framework method sets this dialog's return code to `Window.OK` and closes the dialog. Subclasses may override.

Overrides:
  `okPressed` in class `Dialog`

#### setResource

    public void setResource​(IResource resource)

Sets the resource for which the path variable is being edited.

Parameters:
  `resource` -
Since:
  3.6